## GulkanClient

GulkanClient

## Functions

GulkanClient * | gulkan_client_new ()
GulkanClient * | gulkan_client_new_from_extensions ()
VkPhysicalDevice | gulkan_client_get_physical_device_handle ()
VkDevice | gulkan_client_get_device_handle ()
GulkanDevice * | gulkan_client_get_device ()
VkInstance | gulkan_client_get_instance_handle ()
GulkanInstance * | gulkan_client_get_instance ()
GSList * | gulkan_client_get_external_memory_instance_extensions ()
GSList * | gulkan_client_get_external_memory_device_extensions ()

## Types and Values

#define | GULKAN_TYPE_CLIENT
struct | GulkanClientClass
| GulkanClient

## Object Hierarchy

        GObject
        ╰── GulkanClient

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_client_new ()

    GulkanClient *
    gulkan_client_new (void);

### gulkan_client_new_from_extensions ()

    GulkanClient *
    gulkan_client_new_from_extensions (GSList *instance_ext_list,
                                       GSList *device_ext_list);

### gulkan_client_get_physical_device_handle ()

    VkPhysicalDevice
    gulkan_client_get_physical_device_handle
                                   (GulkanClient *self);

### gulkan_client_get_device_handle ()

    VkDevice
    gulkan_client_get_device_handle (GulkanClient *self);

### gulkan_client_get_device ()

    GulkanDevice *
    gulkan_client_get_device (GulkanClient *self);

### gulkan_client_get_instance_handle ()

    VkInstance
    gulkan_client_get_instance_handle (GulkanClient *self);

### gulkan_client_get_instance ()

    GulkanInstance *
    gulkan_client_get_instance (GulkanClient *self);

### gulkan_client_get_external_memory_instance_extensions ()

    GSList *
    gulkan_client_get_external_memory_instance_extensions
                                   (void);

### gulkan_client_get_external_memory_device_extensions ()

    GSList *
    gulkan_client_get_external_memory_device_extensions
                                   (void);

## Types and Values

### GULKAN_TYPE_CLIENT

    #define GULKAN_TYPE_CLIENT gulkan_client_get_type()

### struct GulkanClientClass

    struct GulkanClientClass {
      GObjectClass parent_class;
    };

### GulkanClient

    typedef struct _GulkanClient GulkanClient;